Developers
Build bots, integrations, and extensions.
cURL
curl --request PATCH \ --url https://api.magne.app/v1/users/@me/profile \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "displayName": "<string>", "avatarUrl": "<string>", "bannerUrl": "<string>", "bio": "<string>", "status": "<string>", "customStatus": "<string>", "activeBadge": "<string>" } '
{ "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "username": "<string>", "displayName": "<string>", "avatarUrl": "<string>", "bannerUrl": "<string>", "bio": "<string>", "status": "<string>", "customStatus": "<string>", "activeBadgeSlug": "<string>", "createdAt": "2023-11-07T05:31:56Z", "friendStatus": "<string>", "friendSince": "2023-11-07T05:31:56Z", "sharedServers": [ { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "<string>", "iconUrl": "<string>" } ], "badges": [ { "slug": "<string>", "name": "<string>", "description": "<string>", "paintData": {}, "imageUrl": "<string>", "animatedUrl": "<string>", "awardedAt": "2023-11-07T05:31:56Z" } ] }
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
Success
Show child attributes